System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.IComponent System.Web.IHttpAsyncHandler System.ComponentModel.ToolboxItem(false)

Instances of the class are created in the ASP.NET infrastructure, not by the user directly. One instance of the class is used to process many requests in its lifetime. However, it can process only one request at a time. Thus, member variables can be used to store per-request data.

An application raises events that can be handled by custom modules that implement the interface or by event handler code that is defined in the Global.asax file. Custom modules that implement the interface can be put in the App_Code folder or in a DLL in the Bin folder.

is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

When running IIS 7.0 in Integrated mode, custom modules in the App_Code folder or Bin folder apply to all requests in the request pipeline. Event handler code in the Global.asax file only applies to requests that are mapped to an ASP.NET handler.

The application events are raised in the following order:

After the event and before the event, an event handler (which is a page that corresponds to the request URL) is created. When a server is running IIS 7.0 in Integrated mode and at least the .NET Framework version 3.0, the event is raised. When a server is running IIS 7.0 in Classic mode or an earlier version of IIS, this event cannot be handled.

The event handler is executed.

After the event is raised, any existing response filters will filter the output.

.

This event is supported in IIS 7.0 Integrated mode and at least the .NET Framework 3.0

This event is supported IIS 7.0 Integrated mode and at least the .NET Framework 3.0

Defines the methods, properties, and events that are common to all application objects in an ASP.NET application. This class is the base class for applications that are defined by the user in the Global.asax file.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  The event is raised after the event handler has been created.

  For more information about how to handle events, see Consuming Events.

  Occurs when ASP.NET acquires the current state (for example, session state) that is associated with the current request.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  2.0.0.0
  System.Void `` ``

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . The associated state to add to the asynchronous .
- Method
  2.0.0.0
  System.Void `` ``

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . The associated state to add to the asynchronous .
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified to the collection of asynchronous event handlers for the current request.

- Method
  2.0.0.0
  System.Void `` ``

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . The associated state to add to the asynchronous .
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the .
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event handler to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event handler to the collection of asynchronous event handlers for the current request.

- Method
  System.Void `` `` To be added

  Adds the specified event to the collection of asynchronous event handlers for the current request.

  The that starts asynchronous processing of the . The that ends asynchronous processing of the . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added.

  Adds the specified event to the collection of asynchronous event handlers for the current request.

- Property
  System.Web.HttpApplicationState To be added: an object of type 'HttpApplicationState'

  The current state of an application consists of a key/value dictionary of application-wide objects that you can use to store both .NET Framework objects and scalar values that are related to multiple Web requests from multiple clients.

  Gets the current state of an application.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Event
  System.EventHandler

  The event signals that the configured authentication mechanism has authenticated the current request. Subscribing to the event ensures that the request will be authenticated before processing the attached module or event handler.

  For more information about how to handle events, see Consuming Events.

  Occurs when a security module has established the identity of the user.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  The event signals that ASP.NET has authorized the current request. Subscribing to the event ensures that the request will be authenticated and authorized before processing the attached module or event handler.

  For more information about how to handle events, see Consuming Events.

  Occurs when a security module has verified user authorization.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  The event signals the creation of any given new request. This event is always raised and is always the first event to occur during the processing of a request.

  For more information about how to handle events, see Consuming Events.

  Occurs as the first event in the HTTP pipeline chain of execution when ASP.NET responds to a request.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void This methods stops the execution of the HttpApplication pipeline and completes the request.

  If this method is invoked at any stage in the pipeline processing (described in more detail in ) the remaining steps of the pipeline are not executed. The only step executed is the EndRequest step.

  Causes ASP.NET to bypass all events and filtering in the HTTP pipeline chain of execution and directly execute the event.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpContext To be added: an object of type 'HttpContext' To be added

  Gets HTTP-specific information about the current request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Method
  System.Void

  The , , , and properties are not available for use when the method executes.

  The method calls the method on each of the registered in the application instance and raises the event.

  Disposes the instance.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  When you create a delegate, you identify the method that handles the event. To associate the event with your event handler, add an instance of the delegate to the event. The event handler is called whenever the event occurs, unless you remove the delegate.

  For more information about how to handle events, see Consuming Events.

  Occurs when the application is disposed.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  The event is always raised when the method is called.

  For more information about how to handle events, see Consuming Events.

  Occurs as the last event in the HTTP pipeline chain of execution when ASP.NET responds to a request.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  The exception that raises the event can be accessed by a call to the method. If your application generates custom error output, suppress the default error message that is generated by ASP.NET by a call to the method.

  If your Web application contains XML Web services, you cannot use the event for global exception handling of those services. The HTTP handler for XML Web services consumes any exception that occurs in an XML Web service and converts it to a SOAP fault before the being called. To handle XML Web service exceptions, build a SOAP extension to process Web service exceptions in a custom global exception handler.

  For more information about how to handle events, see Consuming Events.

  Occurs when an unhandled exception is thrown.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.EventHandlerList a To be added

  Gets the list of event handler delegates that process all application events.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` ``

  You can override to add a new method for calculating custom vary-by values that are based on the current request. The implementation has to call the base class for custom values that it does not recognize. For more information, see How to: Cache Versions of a Page Using Custom Strings.

  Provides an application-wide implementation of the property.

  If the value of the parameter is "browser", the browser's ; otherwise, null.

  An object that contains information about the current Web request. The custom string that specifies which cached response is used to respond to the current request. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  In a derived class, you can override the method to add custom one-time initialization code.

  Executes custom initialization code after all event handler modules have been added.

  1.0.5000.0
  2.0.0.0
- Event
  2.0.0.0
  System.EventHandler

  The event is raised even if an error occurs. You can provide an event handler for the event to provide custom logging for the request.

  For more information about how to handle events, see Consuming Events.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Occurs just before ASP.NET performs any logging for the current request.

- Event
  2.0.0.0
  System.EventHandler

  The event is used by the ASP.NET infrastructure to determine the request handler for the current request. For more information, see How to: Register HTTP Handlers.

  For more information about how to handle events, see Consuming Events.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Occurs when the handler is selected to respond to the request.

- Property
  System.Web.HttpModuleCollection To be added: an object of type 'HttpModuleCollection' To be added

  Gets the collection of modules for the current application.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Event
  2.0.0.0
  System.EventHandler

  The event is raised after the event has occurred. Functionality that subscribes to the event can access any data that is processed by the .

  For more information about how to handle events, see Consuming Events.

  Occurs when the request state (for example, session state) that is associated with the current request has been obtained.

- Event
  2.0.0.0
  System.EventHandler

  The event is raised after the event has occurred. Functionality that subscribes to the event can access any data that is processed by the .

  For more information about how to handle events, see Consuming Events.

  Occurs when a security module has established the identity of the user.

- Event
  2.0.0.0
  System.EventHandler

  The event signals that ASP.NET has authorized the current request. Subscribing to the event ensures authentication and authorization of the request before processing the attached module or event handler.

  For more information about how to handle events, see Consuming Events.

  Occurs when the user for the current request has been authorized.

- Event
  2.0.0.0
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  is introduced in the .NET Framework version 3.5. For more information, see The .NET Framework 3.5 Architecture.

  Occurs when ASP.NET has completed processing all the event handlers for the event.

- Event
  2.0.0.0
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  Occurs when ASP.NET has mapped the current request to the appropriate event handler.

- Event
  2.0.0.0
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  Occurs when ASP.NET has completed executing all request event handlers and the request state data has been stored.

- Event
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  Occurs when the ASP.NET event handler (for example, a page or an XML Web service) finishes execution.

  1.0.5000.0
  2.0.0.0
- Event
  2.0.0.0
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  Occurs when ASP.NET bypasses execution of the current event handler and allows a caching module to serve a request from the cache.

- Event
  2.0.0.0
  System.EventHandler

  The event is raised after the event has occurred. When the is raised, ASP.NET has completed processing code and the content of the cache is finalized.

  For more information about how to handle events, see Consuming Events.

  Occurs when ASP.NET finishes updating caching modules and storing responses that are used to serve subsequent requests from the cache.

- Event
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  Occurs just before ASP.NET starts executing an event handler (for example, a page or an XML Web service).

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  The event may occur multiple times.

  For more information about how to handle events, see Consuming Events.

  Occurs just before ASP.NET sends content to the client.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  Occurs just before ASP.NET sends HTTP headers to the client.

  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler

  When the event is raised, the application is finished with the request and ASP.NET is signaled to store the request state.

  For more information about how to handle events, see Consuming Events.

  Occurs after ASP.NET finishes executing all request event handlers. This event causes state modules to save the current state data.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpRequest To be added: an object of type 'HttpRequest' To be added

  Gets the intrinsic request object for the current request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Event
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  Occurs when ASP.NET finishes an authorization event to let the caching modules serve requests from the cache, bypassing execution of the event handler (for example, a page or an XML Web service).

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpResponse To be added: an object of type 'HttpResponse' To be added

  Gets the intrinsic response object for the current request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Property
  System.Web.HttpServerUtility To be added: an object of type 'HttpServerUtility' To be added

  Gets the intrinsic server object for the current request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Property
  System.Web.SessionState.HttpSessionState To be added: an object of type 'SessionState.HttpSessionState' To be added

  Gets the intrinsic session object that provides access to session data.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Property
  System.ComponentModel.ISite a To be added

  Gets or sets a site interface for an implementation.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)
- Method
  1.0.5000.0
  2.0.0.0
  System.IAsyncResult `` `` `` To be added.

  Initiates an asynchronous call to the HTTP event handler.

  An that contains information about the status of the process.

  An that provides references to intrinsic server objects that are used to service HTTP requests. The to call when the asynchronous method call is complete. If the parameter is null, the delegate is not called. Any extra data that is required to process the request.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  You can use the method to raise any exceptions that are caught during the asynchronous process.

  Provides an asynchronous process End method when the process finishes.

  An that contains information about the status of the process.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  To explicitly set the IsReusable property to true or false, provide code that overrides the IsReusable property accessor.

  Gets a Boolean value indicating whether another request can use the object.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  Classes that inherit the and interfaces are provided as a reference to an object for the current HTTP request. The object provides access to the intrinsic Request, Response, and Server objects for the request.

  Enables processing of HTTP Web requests by a custom HTTP handler that implements the interface.

  An that provides references to the intrinsic server objects that are used to service HTTP requests.
- Event
  System.EventHandler

  For more information about how to handle events, see Consuming Events.

  Occurs when ASP.NET finishes executing an event handler in order to let caching modules store responses that will be used to serve subsequent requests from the cache.

  1.0.5000.0
  2.0.0.0
- Property
  System.Security.Principal.IPrincipal a To be added

  Gets the intrinsic user object for the current request.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.Browsable(false)